XdkWrl: wrl Namespace Reference

Home | Hierarchy | Members | Alphabetical | Related Pages

# wrl Namespace Reference

## Classes
class | Event
class | EventIn
class | EventOut
class | Route
class | Node
class | DeclaredNode
class | DeclaredNodeWithBindings
class | ProtoDeclaration
class | ExternProtoDeclaration
class | ProtoInstance
class | Scene
class | Script
class | MFColor
class | MFFloat
class | MFInt32
class | MFNode
class | MFRotation
class | MFString
class | MFTime
class | MFVec2f
class | MFVec3f
class | SFBool
class | SFColor
class | SFFloat
class | SFImage
class | SFInt32
class | SFNode
class | SFRotation
class | SFString
class | SFTime
class | SFVec2f
class | SFVec3f
class | Anchor
class | Appearance
class | AudioClip
class | Background
class | Billboard
class | Box
class | Collision
class | Color
class | ColorInterpolator
class | Cone
class | Contour2D
class | Coordinate
class | CoordinateDeformer
class | CoordinateInterpolator
class | Cylinder
class | CylinderSensor
class | DirectionalLight
class | ElevationGrid
class | Extrusion
class | Fog
class | FontStyle
class | GeoCoordinate
class | GeoElevationGrid
class | GeoLocation
class | GeoLOD
class | GeoMetadata
class | GeoOrigin
class | GeoPositionInterpolator
class | GeoTouchSensor
class | GeoViewpoint
class | Group
class | ImageTexture
class | IndexedFaceSet
class | IndexedLineSet
class | Inline
class | InlineLoadControl
class | LOD
class | Material
class | MovieTexture
class | NavigationInfo
class | Normal
class | NormalInterpolator
class | NurbsCurve
class | NurbsCurve2D
class | NurbsGroup
class | NurbsPositionInterpolator
class | NurbsSurface
class | NurbsTextureSurface
class | OrientationInterpolator
class | PixelTexture
class | PlaneSensor
class | PointLight
class | PointSet
class | Polyline2D
class | PositionInterpolator
class | ProximitySensor
class | ScalarInterpolator
class | Shape
class | Sound
class | Sphere
class | SphereSensor
class | SpotLight
class | Switch
class | Text
class | TextureCoordinate
class | TextureTransform
class | TimeSensor
class | TouchSensor
class | Transform
class | TrimmedSurface
class | Viewpoint
class | VisibilitySensor
class | WorldInfo
class | PrettyPrinter
class | Transformator
class | TransformatorHierarchy
class | Traverser
## Enumerations
enum | FieldTypeId { unknown = 0, sfBool = 1, sfColor = 2, sfFloat = 3, sfImage = 4, sfInt32 = 5, sfNode = 6, sfRotation = 7, sfString = 8, sfTime = 9, sfVec2f = 10, sfVec3f = 11, mfColor = 12, mfFloat = 13, mfInt32 = 14, mfNode = 15, mfRotation = 16, mfString = 17, mfTime = 18, mfVec2f = 19, mfVec3f = 20 }
## Functions
std::ostream & | operator<< (std::ostream &s, const MFColor &f)
std::ostream & | operator<< (std::ostream &s, const MFFloat &f)
std::ostream & | operator<< (std::ostream &s, const MFInt32 &f)
std::ostream & | operator<< (std::ostream &s, const MFNode &f)
std::ostream & | operator<< (std::ostream &s, const MFRotation &f)
std::ostream & | operator<< (std::ostream &s, const MFString &f)
std::ostream & | operator<< (std::ostream &s, const MFTime &f)
std::ostream & | operator<< (std::ostream &s, const MFVec2f &f)
std::ostream & | operator<< (std::ostream &s, const MFVec3f &f)
std::ostream & | operator<< (std::ostream &s, const SFBool &f)
std::ostream & | operator<< (std::ostream &s, const SFColor &f)
std::ostream & | operator<< (std::ostream &s, const SFFloat &f)
std::ostream & | operator<< (std::ostream &s, const SFImage &f)
std::ostream & | operator<< (std::ostream &s, const SFInt32 &f)
std::ostream & | operator<< (std::ostream &s, const SFNode &f)
std::ostream & | operator<< (std::ostream &s, const SFRotation &f)
std::ostream & | operator<< (std::ostream &s, const SFString &f)
std::ostream & | operator<< (std::ostream &s, const SFTime &t)
std::ostream & | operator<< (std::ostream &s, const SFVec2f &f)
std::ostream & | operator<< (std::ostream &s, const SFVec3f &f)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFBool &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFColor &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFFloat &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFImage &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFInt32 &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const Node::FieldHandle &h)
PrettyPrinter & | operator<< (PrettyPrinter &p, const Node::EventInHandle &h)
PrettyPrinter & | operator<< (PrettyPrinter &p, const Node::EventOutHandle &h)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFNode &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFRotation &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFString &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFTime &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFVec2f &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFVec3f &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFColor &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFFloat &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFInt32 &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFNode &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFRotation &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFString &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFTime &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFVec2f &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFVec3f &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const Scene &s)
ostream & | operator<< (ostream &s, const Transformator &t)
bool | operator== (const wrl::Transformator &t0, const wrl::Transformator &t1)
bool | operator!= (const wrl::Transformator &t0, const wrl::Transformator &t1)
bool | operator< (const Transformator &t0, const Transformator &t1)
ostream & | operator<< (ostream &s, const TransformatorHierarchy &t)
bool | operator== (const wrl::TransformatorHierarchy &th0, const wrl::TransformatorHierarchy &th1)
bool | operator!= (const wrl::TransformatorHierarchy &th0, const wrl::TransformatorHierarchy &th1)
bool | operator< (const TransformatorHierarchy &th0, const TransformatorHierarchy &th1)

## Detailed Description

The whole library is included in this namespace. It means that all names are actually fully specified by adding prefix `wrl::`.

## Enumeration Type Documentation

enum FieldTypeId

  | Enumerator:
  unknown |
  sfBool |
  sfColor |
  sfFloat |
  sfImage |
  sfInt32 |
  sfNode |
  sfRotation |
  sfString |
  sfTime |
  sfVec2f |
  sfVec3f |
  mfColor |
  mfFloat |
  mfInt32 |
  mfNode |
  mfRotation |
  mfString |
  mfTime |
  mfVec2f |
  mfVec3f |

## Function Documentation

bool wrl::operator!= | ( | const wrl::TransformatorHierarchy & | th0,
|  | const wrl::TransformatorHierarchy & | th1
| ) |

| Return true iff the resulting transformations of the 2 hierarchies are different.

bool wrl::operator!= | ( | const wrl::Transformator & | t0,
|  | const wrl::Transformator & | t1
| ) |

| Return true iff the 2 transformations are different.

bool wrl::operator< | ( | const TransformatorHierarchy & | th0,
|  | const TransformatorHierarchy & | th1
| ) |

| Provide strict ordering.

bool wrl::operator< | ( | const Transformator & | t0,
|  | const Transformator & | t1
| ) |

| Provide strict ordering.

ostream& wrl::operator<< | ( | ostream & | s,
|  | const TransformatorHierarchy & | t
| ) |

| Write the resulting internal matrix on stream;

ostream& wrl::operator<< | ( | ostream & | s,
|  | const Transformator & | t
| ) |

| Write the internal matrix on stream;

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const Scene & | s
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const MFVec3f & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const MFVec2f & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const MFTime & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const MFString & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const MFRotation & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const MFNode & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const MFInt32 & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const MFFloat & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const MFColor & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const SFVec3f & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const SFVec2f & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const SFTime & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const SFString & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const SFRotation & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const SFNode & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const Node::EventOutHandle & | h
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const Node::EventInHandle & | h
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const Node::FieldHandle & | h
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const SFInt32 & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const SFImage & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const SFFloat & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const SFColor & | v
| ) |

PrettyPrinter& wrl::operator<< | ( | PrettyPrinter & | p,
|  | const SFBool & | v
| ) |

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const SFVec3f & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const SFVec2f & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const SFTime & | t
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const SFString & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const SFRotation & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const SFNode & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const SFInt32 & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const SFImage & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const SFFloat & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const SFColor & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const SFBool & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const MFVec3f & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const MFVec2f & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const MFTime & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const MFString & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const MFRotation & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const MFNode & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const MFInt32 & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const MFFloat & | f
| ) | `[inline]`

std::ostream& wrl::operator<< | ( | std::ostream & | s,
|  | const MFColor & | f
| ) | `[inline]`

bool wrl::operator== | ( | const wrl::TransformatorHierarchy & | th0,
|  | const wrl::TransformatorHierarchy & | th1
| ) |

| Return true iff the resulting transformations of the 2 hierarchies are the same.

bool wrl::operator== | ( | const wrl::Transformator & | t0,
|  | const wrl::Transformator & | t1
| ) |

| Return true iff the 2 transformations are the same.

Generated on 28 Jun 2006 with version 1.4.4. |